Financial Transactions

Financial Transactions

base coverage update

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

basecoverageupdate Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/basecoverageupdate/eligibilitycheck
 
application/json

Manage Rider Eligibility Check

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Manage Rider Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/managerider/eligibilitycheck
 
application/json

Validate Manage Rider Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

ManageRiderRequest

Self-serve request body for manage rider eligibility, validation, and submit endpoints
(POST /bpm/v1/policies/{planCode}/{policyNumber}/managerider/eligibilitycheck,
/managerider/validation, and /managerider). Assumes all referenced parties and rider
participants already exist on the policy, identified by partyId only.

correlationIdstring

The unique ID to track transaction request across all systems

Example:e3bdb22b-790f-4357-ae60-42cdb0ff0d12

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Default:false

externalIdentifiersobject
Show Child Parameters
transactionReasonstring

Reason for initiating the manage rider transaction

Allowed values:ONETIMEPREMIUMGRACEPERIODPREMIUMREINSTATEMENTPREMIUMEXCHANGE1035SURRENDERAMOUNTEXCESSTOMECAMOUNTEXCESSTOGUIDELINECURRENTVALUECOSTBASISGUIDELINESINGLEPREMIUMGUIDELINELEVELPREMIUMSEVENPAYPREMIUMTOTALYTDPREMIUMAMOUNTFACEDECREASECOVERAGEINITIALPREMIUMEXPIRATIONCOMPLIANCENOTRANSACTIONREASONSTARTINGPRICELUMPSUMFIVEYEARDEFERRALSPOUSALCONTINUATIONDISCOUNTCONTROLBUSINESSINDICATORNATIONALCHANGEOFADDRESSDATEOFDEATHINITIALDEATHNOTIFICATIONPRODUCTDEFAULTAMOUNTGWBRIDERDISBURSEMENTGWBPHASECHANGEFREQUENCYPREMIUMLOANPAYMENTDUEDATERIDERUPDATEGLWBACTUARIALPRESENTVALUEJUVENILETOADULT

Example:RIDERUPDATEGLWB

ridersarray[object]required

A single rider being added, updated, or removed on the policy

Show Child Parameters
partiesarray[object]

A payee or owner party referenced for the rider’s payout (self-serve; party already exists on the policy)

Show Child Parameters

Response

application/json

Manage Rider Validation Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/managerider/validation

Body

{ "riders": [ {} ] }
 
application/json

Submit Manage Rider Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Body

application/json

ManageRiderRequest

Self-serve request body for manage rider eligibility, validation, and submit endpoints
(POST /bpm/v1/policies/{planCode}/{policyNumber}/managerider/eligibilitycheck,
/managerider/validation, and /managerider). Assumes all referenced parties and rider
participants already exist on the policy, identified by partyId only.

correlationIdstring

The unique ID to track transaction request across all systems

Example:e3bdb22b-790f-4357-ae60-42cdb0ff0d12

reverseInitiatorboolean

Property to isolate source transaction(s) that initiated the reversal

Default:false

externalIdentifiersobject
Show Child Parameters
transactionReasonstring

Reason for initiating the manage rider transaction

Allowed values:ONETIMEPREMIUMGRACEPERIODPREMIUMREINSTATEMENTPREMIUMEXCHANGE1035SURRENDERAMOUNTEXCESSTOMECAMOUNTEXCESSTOGUIDELINECURRENTVALUECOSTBASISGUIDELINESINGLEPREMIUMGUIDELINELEVELPREMIUMSEVENPAYPREMIUMTOTALYTDPREMIUMAMOUNTFACEDECREASECOVERAGEINITIALPREMIUMEXPIRATIONCOMPLIANCENOTRANSACTIONREASONSTARTINGPRICELUMPSUMFIVEYEARDEFERRALSPOUSALCONTINUATIONDISCOUNTCONTROLBUSINESSINDICATORNATIONALCHANGEOFADDRESSDATEOFDEATHINITIALDEATHNOTIFICATIONPRODUCTDEFAULTAMOUNTGWBRIDERDISBURSEMENTGWBPHASECHANGEFREQUENCYPREMIUMLOANPAYMENTDUEDATERIDERUPDATEGLWBACTUARIALPRESENTVALUEJUVENILETOADULT

Example:RIDERUPDATEGLWB

ridersarray[object]required

A single rider being added, updated, or removed on the policy

Show Child Parameters
partiesarray[object]

A payee or owner party referenced for the rider’s payout (self-serve; party already exists on the policy)

Show Child Parameters

Response

application/json

Submit Transaction Successful

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/bpm/v1/policies/{planCode}/{policyNumber}/managerider

Body

{ "riders": [ {} ] }
 
application/json